Bug 1105896 - the new script doesn't call dnssec-trigger-control submit
Summary: the new script doesn't call dnssec-trigger-control submit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-08 20:14 UTC by Pavel Šimerda (pavlix)
Modified: 2014-09-19 10:06 UTC (History)
5 users (show)

Fixed In Version: dnssec-trigger-0.12-13.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:06:58 UTC
Type: Bug


Attachments (Terms of Use)
fix (1.06 KB, patch)
2014-06-19 07:30 UTC, Pavel Šimerda (pavlix)
no flags Details | Diff

Description Pavel Šimerda (pavlix) 2014-06-08 20:14:32 UTC
Just found out that after running the new script, the global forwarders are not installed in unbound. It went unnoticed because unbound resolves using the root servers in that case. I verified that 'dnssec-trigger-control submit' is never called in the process. Will provide a fix ASAP.

Comment 1 Pavel Šimerda (pavlix) 2014-06-19 07:27:40 UTC
Included in the latest rawhide and f20 koji builds.

Comment 2 Pavel Šimerda (pavlix) 2014-06-19 07:30:37 UTC
Created attachment 910277 [details]
fix

Comment 3 Fedora Update System 2014-06-30 15:29:58 UTC
dnssec-trigger-0.12-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnssec-trigger-0.12-12.fc20

Comment 4 Fedora Update System 2014-07-01 07:21:37 UTC
Package dnssec-trigger-0.12-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnssec-trigger-0.12-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7942/dnssec-trigger-0.12-12.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-11 11:40:38 UTC
dnssec-trigger-0.12-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnssec-trigger-0.12-13.fc20

Comment 6 Fedora Update System 2014-09-19 10:06:58 UTC
dnssec-trigger-0.12-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.